using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// از این کلاس برای ثبت اطلاعات مربوط به اقلام تحویلی به اعضا استفاده می شود
/// </summary>
public class Class_tblDeliverdAssets
{
    private String Str_UserName = String.Empty;
    private Decimal Dec_OrderDetailID = 0;

    // مقدار دهی اولیه در متد سازنده کلاس
    public Class_tblDeliverdAssets(String Str_UserName, Decimal Dec_OrderDetailID)
	{
        this.Str_UserName = Str_UserName;
        this.Dec_OrderDetailID = Dec_OrderDetailID;
	}

    // از این متد برای درج رکورد جدید در بخش تحویل کالا استفاده می شود
    public void UDF_SaveDeliveredOrders()
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblDeliverdAsset DeliverAsset = new tblDeliverdAsset();
        Class_ShamsiTools ShDate = new Class_ShamsiTools();
        ShDate.UDF_GetCurrentShamsiDate();

        DeliverAsset.UserName = this.Str_UserName;
        DeliverAsset.OrderDetailID = Dec_OrderDetailID;
        DeliverAsset.DeliverDate = ShDate.CurrentShmasiDate;

        db.tblDeliverdAssets.InsertOnSubmit(DeliverAsset);
        db.SubmitChanges();
        UDF_SetDeliverBitTrue(this.Dec_OrderDetailID);
    }

    // از این متد برای ثبت تائید تحویل کالای مورد سفارش استفاده می شود
    private void UDF_SetDeliverBitTrue(Decimal Dec_OrderDetailID)
    {
        LSC_WareHouseDataContext db = new LSC_WareHouseDataContext();
        tblOrderDetail OrdDetail = db.tblOrderDetails.Single(n => n.OrderDetailID == Dec_OrderDetailID);
        OrdDetail.TahvilBit = Boolean.Parse("true");
        db.SubmitChanges();
    }
}
